Skip to content
Proud to collaborate with Microsoft for Startups

docusign.accounts.post-accounts ​

Creates new Docusign accounts. You can use this method to create a single account or up to 100 accounts at a time. Note: This method is restricted to partner integrations. You must work with Docusign Professional Services or Docusign Business Development, who will provide you with the Distributor Code and Distributor Password that you need to include in the request body. When creating a single account, the body of the request is a [newAccountRequest][newAccountRequest] object. Example: { "newAccountRequest": [ { "accountName":"Test Account", "distributorCode":"MY_DIST_CODE", "distributorPassword":"MY_DIST_PWD", "initialUser":{ "email":"user@emaildomain.com", "firstName":"John", "middleName": "Harry", "lastName":"Doe", "suffixName": "", "userName": "John Doe", "jobTitle": "Engineer", "company": "Test Company" }, "addressInformation":{ "address1": "1234 Main Street", "address2": "Suite 100", "city": "Seattle", "state": "WA", "postalCode": "98101", "country": "US", "phone": "1234567890", "fax": "1234567891" }, "planInformation":{ "planId":"37085696-xxxx-xxxx-xxxx-7ea067752959" }, "referralInformation":{ "includedSeats": "1", "referralCode": "code", "referrerName": "name" } } ] } If the request succeeds, it returns a 201 (Created) HTTP response code. The response returns the new account ID, password, and the default user information for each newly created account. When creating multiple accounts, the body of the request is a newAccountRequests object, which contains one or more [newAccountDefinition][newAccountDefinition] objects. You can create up to 100 new accounts at a time this way. The body for a multi-account creation request looks like this in JSON: { "newAccountRequests": [ { "accountName": "accountone", . . . }, { "accountName": "accounttwo", . . . } ] } A multi-account request looks like this in XML: <newAccountsDefinition xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.docusign.com/restapi"> <newAccountRequests> <newAccountDefinition> . . . </newAccountDefinition> <newAccountDefinition> . . . </newAccountDefinition> </newAccountRequests> </newAccountsDefinition> A multi-account creation request may succeed (report a 201 code) even if some accounts could not be created. In this case, the errorDetails property in the response contains specific information about the failure. [newAccountDefinition]: #/definitions/newAccountDefinition [nameValue]: #/definitions/nameValue [newAccountRequest]: #/definitions/newAccountRequest

Creates new accounts.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountnamestringNo—The account name for the new account.
accountsettingsjsonNo—Contains account settings information. Used in requests to set property values. Used in responses to report property values.
addressinformationjsonNo—Contains information about the address associated with the account.
creditcardinformationjsonNo—This object contains information about a credit card that is associated with an account.
directdebitprocessorinformationjsonNo—Contains information about a bank that processes a customer's direct debit payments.
distributorcodestringNo—The Distributor Code that you received from Docusign.
distributorpasswordstringNo—The password for the distributorCode.
enablepreauthstringNo——
envelopepartitionidstringNo—Reserved for Docusign.
initialuserjsonNo—User information.
paymentmethodstringNo—The payment method used for the billing plan. Valid values are: - NotSupported - CreditCard - PurchaseOrder - Premium - Freemium - FreeTrial - AppStore - DigitalExternal - DirectDebit
paymentprocessorstringNo——
paymentprocessorinformationjsonNo——
planinformationjsonNo—An object used to identify the features and attributes of the account being created.
processpaymentstringNo——
referralinformationjsonNo—A complex type that contains the following information for entering referral and discount information. The following items are included in the referral information (all string content): enableSupport, includedSeats, saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, saleDiscountSeatPriceOverride, planStartMonth, referralCode, referrerName, advertisementId, publisherId, shopperId, promoCode, groupMemberId, idType, and industry Note: saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, and saleDiscountSeatPriceOverride are reserved for Docusign use only.
socialaccountinformationjsonNo——
taxexemptidstringNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountnamestringNo—The account name for the new account.
accountsettingsjsonNo—Contains account settings information. Used in requests to set property values. Used in responses to report property values.
addressinformationjsonNo—Contains information about the address associated with the account.
creditcardinformationjsonNo—This object contains information about a credit card that is associated with an account.
directdebitprocessorinformationjsonNo—Contains information about a bank that processes a customer's direct debit payments.
distributorcodestringNo—The Distributor Code that you received from Docusign.
distributorpasswordstringNo—The password for the distributorCode.
enablepreauthstringNo——
envelopepartitionidstringNo—Reserved for Docusign.
initialuserjsonNo—User information.
paymentmethodstringNo—The payment method used for the billing plan. Valid values are: - NotSupported - CreditCard - PurchaseOrder - Premium - Freemium - FreeTrial - AppStore - DigitalExternal - DirectDebit
paymentprocessorstringNo——
paymentprocessorinformationjsonNo——
planinformationjsonNo—An object used to identify the features and attributes of the account being created.
processpaymentstringNo——
referralinformationjsonNo—A complex type that contains the following information for entering referral and discount information. The following items are included in the referral information (all string content): enableSupport, includedSeats, saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, saleDiscountSeatPriceOverride, planStartMonth, referralCode, referrerName, advertisementId, publisherId, shopperId, promoCode, groupMemberId, idType, and industry Note: saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, and saleDiscountSeatPriceOverride are reserved for Docusign use only.
socialaccountinformationjsonNo——
taxexemptidstringNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v2.1/accounts
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v2.1/accounts
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.accounts.post-accounts",
  "initial_data": {
    "base_url": "value"
  }
}